@charset "utf-8";

/* Reset */
*, *::before, *::after, .container, .container-fluid, h1, h2, h3, h4, h5, h6, p {
    margin: 0;
    padding: 0;
    box-sizing: border-box !important;
    outline: none !important;
}

button {
    border: none !important;
}

/* Variables */
:root {

    --font-heading: "Roboto", "Inter", "Nunito Sans";
    --font-body:  "Roboto", "Inter", "Nunito Sans";

    --color-primary: #007CCF;
    --color-secondary: #003288;
    --color-primary-bg: #CCE4F5;
    --color-secondary-bg: #FCFCFC;
    --color-tertiary-bg: #E5F1FA;
    --color-primary-bg-gradient: linear-gradient(to bottom right, #CCE4F5, #4CA3DD);
    --color-secondary-bg-gradient: linear-gradient(to bottom right, #FCFCFC, #E5F1FA);
    --color-tertiary-bg-gradient: linear-gradient(to bottom right, #4C6FAB, #00286C);
    --color-quarternary-bg-gradient: linear-gradient(to bottom right, #4CA3DD, #0063A5);
    --color-primary-overlay: #fcfcfc40;
    --color-secondary-overlay: #001436cc;
    --color-tertiary-overlay: #fcfcfcda;
    --color-quarternary-overlay: #00143650;
    --color-fifth-overlay: #fcfcfcac;
    --color-primary-text: #001436;
    --color-secondary-text: #FCFCFC;
    --color-shadows: #121212bd;
    --color-shadows-white: #FCFCFC;

    --space-xxs: 8px;
    --space-xs: 16px;
    --space-s: 24px;
    --space-m: 32px;
    --space-l: 40px;
    --space-xl: 48px;
    --space-xxl: 56px;

    --shadow-primary: 2px;
    --shadow-primary-negative: -2px;
    --shadow-secondary: 4px;
    --shadow-secondary-negative: -4px;
    --shadow-tertiary: 8px;
    --shadow-quarternary: 16px;

    --border-primary-radius: 8px;
    --border-secondary-radius: 16px;
    --border-tertiary-radius: 24px;

    --font-size-h1: 2.986rem; /* 48px */
    --font-size-h2: 2.488rem; /* 40px */
    --font-size-h3: 2.074rem; /* 33px */
    --font-size-h4: 1.728rem; /* 28px */
    --font-size-h5: 1.44rem; /* 23px */
    --font-size-h6: 1.2rem; /* 19px */
    --font-size-p: 1rem; /* 16px */
    --font-size-small: 0.833rem; /* 13px */
    --font-size-smaller: 0.694rem; /* 11px */
}

html {
    font-size: 100%;
  }
  
  @media (max-width: 1199.98px) {
    html {
      font-size: 100%;
    }
  }
  
  @media (max-width: 767.98px) {
    html {
      font-size: 100%;
    }
  }

body {
    font-family: var(--font-body);
    line-height: 1.6;
    color: var(--color-primary-text);
    background-color: var(--color-secondary-bg);
}

/* Font Sizing */
h1 {font-size: var(--font-size-h1);}
h2 {font-size: var(--font-size-h2);}
h3 {font-size: var(--font-size-h3);}
h4 {font-size: var(--font-size-h4);}
h5 {font-size: var(--font-size-h5);}
h6 {font-size: var(--font-size-h6);}
p {font-size: var(--font-size-p);}

/* Buttons */
.btn-dark {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    height: 40px;
    padding: var(--space-xxs) var(--space-xs);
    background: var(--color-tertiary-bg-gradient);
    color: var(--color-secondary-text);
    border-radius: var(--border-tertiary-radius);
    box-shadow: var(--shadow-secondary) var(--shadow-secondary) var(--shadow-secondary) var(--color-shadows);
}

.btn-dark:hover {
    background: var(--color-secondary-bg-gradient);
    color: var(--color-primary-text);
}

.btn-light {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    height: 40px;
    padding: var(--space-xxs) var(--space-xs);
    background: var(--color-secondary-bg-gradient);
    color: var(--color-primary-text);
    border-radius: var(--border-tertiary-radius);
    border-color: transparent !important;
    outline: none !important;
    box-shadow: var(--shadow-secondary) var(--shadow-secondary) var(--shadow-secondary) var(--color-shadows);
}

.btn-light:hover {
    background: var(--color-tertiary-bg-gradient);
    color: var(--color-secondary-text);
}

/* Dividers */
span.divider {
    border: 1px solid var(--color-primary-text)
}

/* Animations */
@keyframes fadeInDown {
    from {
        opacity: 0;
        margin-top: -30px;
    }
    to {
        opacity: 1;
        margin-top: 0;
    }
}

@keyframes fadeIn {
    from { 
      opacity: 0;
    }
    to { 
      opacity: 1;
    }
}

/* Honeypot */
.form-hp {
    position: absolute;
    left: -9999px;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
    opacity: 0;
    pointer-events: none;
}

/* Navbar */
.navbar {
    height: auto;
    z-index: 10 !important;
    background-color: var(--color-primary-bg);
    box-shadow: 0 var(--shadow-secondary) var(--shadow-secondary) var(--color-shadows);

    --bs-navbar-active-color: var(--color-primary-text);
    --bs-navbar-color: var(--color-primary-text);
    --bs-navbar-hover-color: var(--color-secondary);
}

.navbar-brand img {
    height: 50px;
    opacity: 0;
    animation: fadeInDown 1s ease forwards;
    animation-delay: 0.8s;
}

.nav-item {
    opacity: 0;
    animation: fadeInDown 1s ease forwards;
    animation-delay: 0.8s;
}
.nav-link > img {
    display: none;
}

.navbar .container-fluid {
    padding: 0 var(--space-xl);
}

.nav-link:focus {
    color: var(--color-primary-text);
}

.nav-link:focus:hover {
    color: var(--color-secondary);
}

.nav-link:hover, .nav-link:focus {
    outline: none !important;
    box-shadow: none !important;
}

.navbar-nav .nav-item.dropdown.show > .nav-link,
.navbar-nav .nav-link.dropdown-toggle[aria-expanded="true"] {
    color: var(--color-secondary);
    outline: none !important;
    box-shadow: none !important;
}

.navbar .active{
    font-weight: 700;
}

.navbar .active:hover {
    color: var(--color-secondary);
}

.navbar-nav .dropdown-toggle::after {
    display: none;
}

.dropdown-toggle i {
    font-size: var(--font-size-small);
}

.navbar .btn-outside-popup {
    opacity: 0;
    animation: fadeInDown 1s ease forwards;
    animation-delay: 1s;
}

.nav-block {
    width: 100%;
    height: 76px;
}

@media screen and (max-width: 1199.98px) {
    
    .navbar .btn-outside-popup {
        display: none !important;
    }

    .nav-link {
        padding: var(--space-xxs) var(--space-xxs) var(--space-xxs) 0;
    }

    .nav-link > img {
        display: block;
        height: 30px;
        padding-right: var(--space-xxs);
    }

    .offcanvas > a {
        box-shadow: var(--shadow-secondary) var(--shadow-secondary) var(--shadow-secondary) var(--color-shadows);
    }
}

@media screen and (max-width: 575.98px) {
    .navbar-brand img {
        padding: var();
    }
}

/* Pop Up Form */
.popup {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    background-color: var(--color-secondary-overlay);
    z-index: 10 !important;

    opacity: 0;
    animation: fadeInDown 0.3s ease forwards;
}

.inner-form {
    position: relative;
        
    opacity: 0;
    animation: fadeInDown 0.5s ease forwards;
    animation-delay: 0.3s;
}

.popup-form {
    width: 500px;
    height: 500px;
    background-color: var(--color-primary-bg);
    padding: var(--space-m);
    border-radius: var(--border-secondary-radius);
}

.popup-form .form-control:focus {
    border-color: var(--color-primary) !important;
    box-shadow: 0 0 0 1px var(--color-primary) !important;
    outline: 0 !important;
}

#inputService option:hover, 
#inputTechnology option:hover {
    background-color: var(--color-primary);
}

#inputMessage {
    resize: none !important;
}

.form-close {
    font-size: var(--font-size-h6);
    position: absolute;
    top: 0;
    right: 0;
    margin-top: var(--space-xxs);
    margin-right: var(--space-xxs);
}

.form-close:hover {
    cursor: pointer;
}

.popup,
.inner-form,
.popup-form,
.popup-form input,
.popup-form select,
.popup-form textarea {
  pointer-events: auto;
}

@media screen and (max-width: 767.98px) {

    .popup {
        background-color: transparent !important;

        opacity: 1;
        animation: none !important;
    }

    .popup-form {
        width: 100%;
        height: 100dvh;
        border-radius: 0 !important;
    }

    .popup-form .row {
        flex-direction: column;
    }

    .inner-form {
        opacity: 0;
        animation: fadeInDown 0.5s ease forwards;
        animation-delay: 0.15s;
    }
}

/* Dropdown Menu Customization >= 1200px */
.dropdown-menu {
    background-color: var(--color-secondary-bg);
    margin: 0px !important;
    padding: var(--space-xs) var(--space-xl) var(--space-xs) var(--space-xs);
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-secondary) var(--shadow-secondary) var(--shadow-tertiary) var(--color-shadows);
}

.dropdown-item {
    padding: var(--space-xxs) var(--space-xxs);
}

.dropdown-menu li:hover > .dropdown-item {
    color: var(--color-secondary);
    background-color: var(--color-secondary-bg);
    font-size: 1.05rem;
}

.dropdown-menu img {
    height: 30px;
}

.dropdown-menu .d-flex:nth-of-type(3) {
    margin-top: var(--space-xxs);    
}

#dropdown-page-link {
    margin-bottom:  var(--space-xxs);
    padding: 0 !important;
}

#dropdown-page-link p:hover {
    font-size: 1.05rem !important;
}

#dropdown-divider {
    width: 100%;
    border: 1px solid var(--color-primary-text);
}


/* Offcanvas Customization <1200px */

.navbar-toggler {
    border: none;
    background: transparent;
    box-shadow: none;
    padding: 0 !important;
}

.navbar-toggler:focus,
.navbar-toggler:active {
    outline: none !important;
    box-shadow: none !important;
}

@media screen and (max-width: 1199.98px) {
    
    .navbar .container-fluid {
        padding: 0 var(--space-m);
    }

    .navbar-toggler i.bi-list {
        font-size: 2rem !important;
    }
    
    .navbar-toggler {
        animation: fadeInDown 1s ease forwards;
        animation-delay: 0.8s;
        opacity: 0;
    }

    .nav-link {
        padding-top: 0;
        padding-bottom: var(--space-s);
    }

    .offcanvas {
        padding-top: var(--space-xxs);
        padding-left: var(--space-xs);
        padding-right: var(--space-xxs);
    }

    .dropdown-menu {
        box-shadow: none;
        margin-bottom: var(--space-s) !important;
    }

    .dropdown-item {
        white-space: normal;
        overflow-wrap: anywhere;
      }
}


@media screen and (max-width: 767.98px) {

    .navbar .container-fluid {
        padding: 0 var(--space-xs);
    }

    .offcanvas {
        width: 100svh !important;
        height: 100%;
    }  
}

/* Footer Section */
.footer {
    background-color: var(--color-primary-bg);
    padding: var(--space-xl);
}

.footer-section {
    width: 100%;
    height: 100%;
}

.footer-section a {
    color: var(--color-primary-text);
}

.footer-section a:hover {
    color: var(--color-primary);
}

.footer-section span {
    width: 100%;
    border: 1px solid var(--color-primary-text);
    margin: var(--space-m) 0;
}

.footer-content .d-flex:nth-of-type(1) img {
    width: auto;
    max-width: 100%;
    height: 45px;
    display: block;
}

.footer-content ul ul {
    padding-left: 0;
}

.footer-content ul > li {
    list-style-type: none;
}

.footer-content ul.d-flex > li > a {
    text-decoration: none;
}

.footer-content .footer-list {
    width: 180px;
    height: 100%;
    margin-bottom: var(--space-s);
}

.footer-content .footer-list a {
    text-decoration: none;
}

.footer-bottom,
.footer-bottom-secondary {
    gap: var(--space-s);
}

@media screen and (max-width: 1199.98px) {

    .footer {
        padding: var(--space-m);
    }

    .footer-content ul {
        flex-wrap: wrap;
    }
}

@media screen and (max-width: 767.98px) {

    .footer {
        padding: var(--space-s);
    }

    .footer-content {
        flex-direction: column-reverse !important;
    }

    .footer-content .footer-list {
        width: 100%;
        height: 100%;
        padding: 0;
        margin-bottom: 0 !important;
    }

    .footer-list:not(:first-child) {
        margin-top: var(--space-s);
    }

    .footer-content .d-flex:nth-of-type(1){
        margin-top: var(--space-s);
    }

    .footer-sitemap {
        padding: 0;
    }

    .footer-bottom {
        flex-direction: column !important;
        text-align: center;
    }

    .footer-bottom-secondary {
        flex-direction: column !important;
    }
}